scsi_get_device_flags
Prev | drivers/scsi/scsi_devinfo.c | Next

## Name

scsi_get_device_flags — get device specific flags from the dynamic device list.

## Synopsis

`int scsi_get_device_flags (` | struct scsi_device * | sdev,
| const unsigned char * | vendor,
| const unsigned char * | model`)`;

## Arguments

`sdev`

  scsi_device to get flags for

`vendor`

  vendor name

`model`

  model name

## Description

Search the scsi_dev_info_list for an entry matching `vendor` and `model`, if found, return the matching flags value, else return the host or global default settings. Called during scan time.

Prev | Up | Next
scsi_dev_info_list_add_str | Home | scsi_exit_devinfo